---
title: RegExp.prototype.toSource()
slug: Web/JavaScript/Reference/Global_Objects/RegExp/toSource
tags:
  - JavaScript
  - Method
  - Non-standard
  - Obsolete
  - Prototype
  - Reference
  - RegExp
  - Regular Expressions
---
<div>{{JSRef}} {{obsolete_header}}</div>

<p>The <strong><code>toSource()</code></strong> method returns a string representing the source code of the object.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><var>regexObj</var>.toSource()
</pre>

<h3 id="Return_value">Return value</h3>

<p>A string representing the source code of the given {{jsxref("RegExp")}} object.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Native_function">Native function</h3>

<p>For the built-in {{jsxref("RegExp")}} object, <code>toSource()</code> returns the following string indicating that the source code is not available:</p>

<pre class="brush: js notranslate">function RegExp() {
    [native code]
}
</pre>

<p>For instances of {{jsxref("RegExp")}}, <code>toSource()</code> returns a string representing the source code.</p>

<p>This method is usually called internally by JavaScript and not explicitly in web code.</p>

<h2 id="Specifications">Specifications</h2>

<p>Not part of any standard.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("javascript.builtins.RegExp.toSource")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("Object.prototype.toSource()")}}</li>
</ul>
